<?xml version="1.0"?>
<PropertySetDef xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" ifdguid="6bbe67c6d4dd4ff6ae232d1165417e83" templatetype="" xsi:noNamespaceSchemaLocation="http://buildingSMART-tech.org/xml/psd/PSD_IFC4.xsd">
  <IfcVersion version="IFC4" />
  <Name>Pset_BACnetDeviceObject</Name>
  <Applicability />
  <ApplicableClasses>
    <ClassName>IfcController/PROGRAMMABLE</ClassName>
  </ApplicableClasses>
  <ApplicableTypeValue>IfcController/PROGRAMMABLE</ApplicableTypeValue>
  <PropertyDefs>
    <PropertyDef ifdguid="ecb09a501da74670afc7e6c064829e66">
      <Name>System Status</Name>
      <PropertyType>
        <TypePropertyEnumeratedValue>
          <EnumList />
          <ConstantList>
            <ConstantDef>
              <Name>OPERATIONAL</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>OPERATIONAL_READ_ONLY</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>DOWNLOAD_REQUIRED</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>DOWNLOAD_IN_PROGRESS</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>NON_OPERATIONAL</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>BACKUP_IN_PROGRESS</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
          </ConstantList>
        </TypePropertyEnumeratedValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="a31cb082400c402fa93d4b085f164786">
      <Name>Vendor Identifier</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcIdentifier" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="b02534365c944b638c20fa7e07be92f5">
      <Name>Protocol Version</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcText" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="922ee43944e1463c8dc700bf5e2504ee">
      <Name>Protocol Revision</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcReal" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="6748f1c8a04e407ca220901363a10583">
      <Name>Protocol Service Supported</Name>
      <PropertyType>
        <TypePropertyEnumeratedValue>
          <EnumList />
          <ConstantList>
            <ConstantDef>
              <Name>ALARM_AND_EVENT_SERVICES</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>FILE_ACCESS_SERVICES</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>OBJECT_ACCESS_SERVICES</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>REMOTE_DEVICE_MANAGEMENT_SERVICE</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>VIRTUAL_TERMINAL_SERVICES</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>REMOVED_SERVICES</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>UNCOMFIRMED_SERVICES</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>SERVICE_ADDED_AFTER_1995</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>SERVICE_ADDED_AFTER_2012</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
          </ConstantList>
        </TypePropertyEnumeratedValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="216d70f4e455402c8920ff202aca5bde">
      <Name>Protocol Object Type Supported</Name>
      <PropertyType>
        <TypePropertyEnumeratedValue>
          <EnumList />
        </TypePropertyEnumeratedValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="9cc4978cb0ac481cb8e64479edbc8151">
      <Name>Max APDU Length Accepted</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcReal" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="8e11f4dd81994320b7c93ef9ce738589">
      <Name>Segmentation Supported</Name>
      <PropertyType>
        <TypePropertyEnumeratedValue>
          <EnumList />
          <ConstantList>
            <ConstantDef>
              <Name>SEGMENTED_BOTH</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>SEGMENTED_TRANSMIT</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>SEGMENTED_RECEIVE</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>NO_SEGMENTATION</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
          </ConstantList>
        </TypePropertyEnumeratedValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="7a0f306237994a79b7f23db5cfc9fd35">
      <Name>APDU Timeout</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcTimeMeasure" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="81c05a1a1edc44889287025d47a84d2a">
      <Name>Number of APDU Retries</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcInteger" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="dd2f88aec19c4627b047738faaafc8a7">
      <Name>Device Address Binding</Name>
      <PropertyType>
        <TypePropertyReferenceValue reftype="IfcPostalAddress" />
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="e1043c2f3b104059bd8ebf66d9532e14">
      <Name>Database Revision</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcInteger" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
  </PropertyDefs>
  <PsetDefinitionAliases />
</PropertySetDef>